Page MenuHomePhabricator

Pool new server db2071
Closed, ResolvedPublic

Description

Hello,

Via SAL I saw that @Papaul already installed the OS on db2071. I decided to finish the installation by signing the puppet cert, running puppet, salt and all that. I thought if we have it ready we might be able to pool it in on s1 and help the current api servers as it is a powerful server with SSDs
The server looks ready now after the reboot.

@Papaul is there anything pending on db2071 from your side or do you see any issues if we start getting the data from another s1 slave and put it in production when ready?
//cc @jcrespo

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-codfw.php: Increase API weight db2071
operations/mediawiki-config : masterdb-codfw.php: Increase weight db2071
operations/mediawiki-config : masterdb-codfw.php: Pool db2071 with small weight
operations/software : masters1.hosts: Add db2071
operations/puppet : productionprometheus-mysqld-exporter: Add new node db2071
operations/mediawiki-config : masterDepool db1080 for cloning and pre-setup new server db2071
operations/puppet : productionSetup db2071 as new s1 slave

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2017, 6:18 AM
Marostegui renamed this task from Pool db2071? to Pool new server db2071?.Apr 20 2017, 6:18 AM
jcrespo renamed this task from Pool new server db2071? to Pool new server db2071.Apr 20 2017, 7:03 AM

Change 349158 had a related patch set uploaded (by Jcrespo):
[operations/puppet@production] Setup db2071 as new s1 slave

https://gerrit.wikimedia.org/r/349158

Change 349158 merged by Jcrespo:
[operations/puppet@production] Setup db2071 as new s1 slave

https://gerrit.wikimedia.org/r/349158

Change 349162 had a related patch set uploaded (by Jcrespo):
[operations/mediawiki-config@master] Depool db1083 for cloning and pre-setup new server db2071

https://gerrit.wikimedia.org/r/349162

Change 349162 merged by jenkins-bot:
[operations/mediawiki-config@master] Depool db1080 for cloning and pre-setup new server db2071

https://gerrit.wikimedia.org/r/349162

Mentioned in SAL (#wikimedia-operations) [2017-04-20T07:59:12Z] <jynus> shutting down db1080 for cloning and upgrade T163413

db2072 is also now ready to be used if needed. All went fine after rebooting it.

Change 349173 had a related patch set uploaded (by Jcrespo):
[operations/puppet@production] prometheus-mysqld-exporter: Add new node db2071

https://gerrit.wikimedia.org/r/349173

Change 349175 had a related patch set uploaded (by Marostegui):
[operations/software@master] s1.hosts: Add db2071

https://gerrit.wikimedia.org/r/349175

More servers are now online and ready to be used if needed, I will post it on the original tracking task (T162159) so I don't hijack this one.

Change 349173 merged by Jcrespo:
[operations/puppet@production] prometheus-mysqld-exporter: Add new node db2071

https://gerrit.wikimedia.org/r/349173

Marostegui moved this task from Triage to In progress on the DBA board.Apr 20 2017, 10:15 AM

Change 349175 merged by jenkins-bot:
[operations/software@master] s1.hosts: Add db2071

https://gerrit.wikimedia.org/r/349175

Change 349202 had a related patch set uploaded (by Marostegui):
[operations/mediawiki-config@master] db-codfw.php: Pool db2071 with small weight

https://gerrit.wikimedia.org/r/349202

Change 349202 merged by jenkins-bot:
[operations/mediawiki-config@master] db-codfw.php: Pool db2071 with small weight

https://gerrit.wikimedia.org/r/349202

Change 349207 had a related patch set uploaded (by Marostegui):
[operations/mediawiki-config@master] db-codfw.php: Increase weight db2071

https://gerrit.wikimedia.org/r/349207

Change 349207 merged by jenkins-bot:
[operations/mediawiki-config@master] db-codfw.php: Increase weight db2071

https://gerrit.wikimedia.org/r/349207

I have pooled db2071 with the same main traffic as the other api servers (50) but with weight 2 in API, instead of 1 as the other servers.
We'll see how it goes.

Change 349211 had a related patch set uploaded (by Marostegui):
[operations/mediawiki-config@master] db-codfw.php: Increase API weight db2071

https://gerrit.wikimedia.org/r/349211

Change 349211 merged by jenkins-bot:
[operations/mediawiki-config@master] db-codfw.php: Increase API weight db2071

https://gerrit.wikimedia.org/r/349211

Marostegui closed this task as Resolved.Apr 21 2017, 11:59 AM

This is now done, the server has been there for a day.